Skip to content
API referenceConsumerConsumer.devices

List device authorization events

GET
/consumer/v1/devices/{id}/authorization-events

Account owners and admins can inspect the authorization audit history for a device on their own consumer account.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Device ID

Formatuuid

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/devices/55555555-5555-5555-5555-555555555555/authorization-events" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "data": [    {      "action": "approved",      "created_at": "2026-04-22T12:00:00Z",      "id": "77777777-7777-7777-7777-777777777777",      "performed_by": "22222222-2222-2222-2222-222222222222",      "reason": "Verified with IT"    }  ],  "meta": {    "has_more": true,    "limit": 0,    "offset": 0,    "total": 0  }}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}